#!/usr/bin/python
# -*- coding: UTF-8 -*-


# Alexandre Svetoslavsky


import sys, os, string, commands


ext = {
    "Video":     ("mpg", "mpeg", "avi", "divx", "mov", "wmv"),
    "Archives":  ("tar", "gz", "tgz", "zip", "rar", "bz"),
    "Audio":     ("mp3", "ogg", "wav"),
    "Graphics":  ("png", "jpg", "jpeg", "xpm", "tiff", "bmp", "gif"),
    "Documents": ("sxi", "sxc", "sxw", "rtf",  "doc", "xls")
    };

#Must pass the directory as argument to the script
if (len(sys.argv) < 2):
    sys.exit();

homedir = commands.getoutput('echo ~');
dir     = sys.argv[1];


print dir;

os.chdir(dir);

#Get files
files = os.listdir(dir);

#Exclude directories
files = [elem for elem in files if os.path.isfile(elem)];

for k, v in ext.items():

    #Filter only files with the matching extension
    concernedFiles = [el for el in files if os.path.splitext(el)[1][1:] in v];

    for f in concernedFiles:
        newfile = homedir + "/" + k + "/"+ f;
	#print f , " ", newfile;
        #This will overwrite f with newfile if f already exist !
        os.renames(f, newfile);





    

